sc::IdentityTransform(3)

NAME
sc::IdentityTransform -

The IdentityTransform is a special case of NonlinearTransform were no transformation takes place'.

SYNOPSIS

#include <transform.h>

Inherits sc::NonlinearTransform'.

  Public Member Functions
void transform_coordinates (const RefSCVector &x)
These override the tranformation members of NonlinearTransform and do nothing'.
void transform_gradient (const RefSCVector &g)
Transform the gradient at a point in the new coordinate system'.
void transform_hessian (const RefSymmSCMatrix &h)
Transform the hessian to the new coordinate system'.
void transform_ihessian (const RefSymmSCMatrix &ih)
Transform the inverse of the hessian'.

Detailed Description

The IdentityTransform is a special case of NonlinearTransform were no transformation takes place'.

Member Function Documentation

  void sc::IdentityTransform::transform_coordinates (const RefSCVector &x) [virtual]

These override the tranformation members of NonlinearTransform and do nothing'.

Implements sc::NonlinearTransform'.

  void sc::IdentityTransform::transform_gradient (const RefSCVector &g) [virtual]

Transform the gradient at a point in the new coordinate system'. transform_coordinates must be called first to give the point'.

Reimplemented from sc::NonlinearTransform'.

  void sc::IdentityTransform::transform_hessian (const RefSymmSCMatrix &h) [virtual]

Transform the hessian to the new coordinate system'. transform_gradient must be called first to initialize this routine'.

Reimplemented from sc::NonlinearTransform'.

  void sc::IdentityTransform::transform_ihessian (const RefSymmSCMatrix &ih) [virtual]

Transform the inverse of the hessian'. transform_gradient must be called first to initialize this routine'.

Reimplemented from sc::NonlinearTransform'.

Author

Generated automatically by Doxygen for MPQC from the source code'.